package intrinsic.mx.effects.effectClasses;

public class AnimatePropertyInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public boolean isStyle;
	public String property;
	public boolean roundValue;
	public double fromValue;
	public double toValue;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AnimatePropertyInstance() {
}

public AnimatePropertyInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void onTweenUpdate(Object arg0);
public native void play();

}
